%perl_module WWW-Mechanize 1.16 4

Summary: Handy web browsing in a Perl object.
License: distributable
Group: System Environment/Libraries
URL: http://search.cpan.org/~petdance/%{pkgname}-%{version}/
Source0: http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: perl(HTML::Form) >= 1.038, perl(LWP) >= 5.76, perl(LWP::UserAgent) >= 2.024
BuildRequires: perl(CGI), perl(Test::More)

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with
a website. It supports performing a sequence of page fetches including
following links and submitting forms. Each fetched page is parsed and
its links and forms are extracted. A link or a form can be selected, form
fields can be filled and the next page can be fetched. Mech also stores
a history of the URLs you've visited, which can be queried and revisited.


%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
#perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/WWW/Mechanize.pm
%{perl_vendorlib}/WWW/Mechanize
%{perl_bin}/mech-dump
%{perl_man1dir}/mech-dump.1*
%{perl_man3dir}/WWW::Mechanize*.3pm*

%changelog
* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.16.

* Mon Jun  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.12.

* Sat May  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
